__gnu_cxx::constant_void_fun< _Result >(3cxx)

NAME
__gnu_cxx::constant_void_fun< _Result > - An SGI extension .

SYNOPSIS

#include <functional>

Inherits __gnu_cxx::_Constant_void_fun< _Result >.

  Public Types

typedef _Result result_type

  Public Member Functions

constant_void_fun (const _Result &__v)
const result_type & operator() () const

  Public Attributes

result_type _M_val

Detailed Description

  template<class _Result>
struct __gnu_cxx::constant_void_fun< _Result >"An SGI extension .

Definition at line 303 of file ext/functional.

Member Typedef Documentation

  template<class _Result > typedef _Result __gnu_cxx::_Constant_void_fun< _Result >::result_type [inherited]

Definition at line 248 of file ext/functional.

Constructor & Destructor Documentation

  template<class _Result > __gnu_cxx::constant_void_fun< _Result >::constant_void_fun (const _Result & __v) [inline]

Definition at line 306 of file ext/functional.

Member Function Documentation

  template<class _Result > const result_type & __gnu_cxx::_Constant_void_fun< _Result >::operator() () const [inline], [inherited]

Definition at line 254 of file ext/functional.

Member Data Documentation

  template<class _Result > result_type __gnu_cxx::_Constant_void_fun< _Result >::_M_val [inherited]

Definition at line 249 of file ext/functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.